__gnu_cxx(3)

NAME
__gnu_cxx -

SYNOPSIS

  Classes
struct __common_pool
struct __common_pool_base< _PoolTp, false >
struct __common_pool_base< _PoolTp, true >
struct __common_pool_policy
Policy for shared __pool objects.
class __mt_alloc
This is a fixed size (power of 2) allocator which - when compiled with thread support - will maintain one freelist per size per thread plus a 'global' one. Steps are taken to limit the per thread freelist sizes (by returning excess back to the 'global' list).
class __mt_alloc_base
Base class for _Tp dependent member functions.
class __normal_iterator
struct __per_type_pool
struct __per_type_pool_base< _Tp, _PoolTp, false >
struct __per_type_pool_base< _Tp, _PoolTp, true >
struct __per_type_pool_policy
Policy for individual __pool objects.
class __pool< false >
Specialization for single thread.
class __pool< true >
Specialization for thread enabled, via gthreads.h.
class __pool_alloc
class __pool_alloc.
class __pool_alloc_base
Base class for __pool_alloc.
struct __pool_base
Base class for pool object.
class __rc_string_base
class __sso_string_base
class __versa_string
Managing sequences of characters and character-like objects.
struct __vstring_utility
struct _AssignableConcept
struct _AssociativeContainerConcept
class _Auto_Lock
_Auto_Lock locks the associated mutex on construction, and unlocks on destruction.
struct _Aux_require_same
struct _Aux_require_same< _Tp, _Tp >
struct _BackInsertionSequenceConcept
struct _BidirectionalIteratorConcept
struct _BinaryFunctionConcept
struct _BinaryFunctionConcept< _Func, void, _First, _Second >
struct _BinaryPredicateConcept
struct _Char_types
Mapping from character type to associated types.
struct _ComparableConcept
struct _Const_BinaryPredicateConcept
struct _Constant_binary_fun
struct _Constant_unary_fun
struct _Constant_void_fun
struct _ContainerConcept
struct _ConvertibleConcept
struct _CopyConstructibleConcept
struct _DefaultConstructibleConcept
struct _EqualityComparableConcept
struct _ForwardContainerConcept
struct _ForwardIteratorConcept
struct _FrontInsertionSequenceConcept
struct _GeneratorConcept
struct _GeneratorConcept< _Func, void >
struct _Hashtable_const_iterator
struct _Hashtable_iterator
struct _Hashtable_node
struct _InputIteratorConcept
struct _IntegerConcept
struct _IntegerConcept< int >
struct _IntegerConcept< long >
struct _IntegerConcept< long long >
struct _IntegerConcept< short >
struct _IntegerConcept< unsigned int >
struct _IntegerConcept< unsigned long >
struct _IntegerConcept< unsigned long long >
struct _IntegerConcept< unsigned short >
struct _LessThanComparableConcept
class _Lock
_Lock is a simple manual locking class which allows you to manually lock and unlock a mutex associated with the lock.
struct _MultipleAssociativeContainerConcept
struct _Mutable_BidirectionalIteratorConcept
struct _Mutable_ContainerConcept
struct _Mutable_ForwardContainerConcept
struct _Mutable_ForwardIteratorConcept
struct _Mutable_RandomAccessContainerConcept
struct _Mutable_RandomAccessIteratorConcept
struct _Mutable_ReversibleContainerConcept
struct _Mutable_TrivialIteratorConcept
class _Mutex
_Mutex is an OO-Wrapper for __gthread_mutex_t.
struct _OutputIteratorConcept
struct _PairAssociativeContainerConcept
struct _Project1st
struct _Project2nd
struct _RandomAccessContainerConcept
struct _RandomAccessIteratorConcept
struct _Refcount_Base
struct _ReversibleContainerConcept
struct _Rope_base
class _Rope_char_consumer
class _Rope_char_ptr_proxy
class _Rope_char_ref_proxy
struct _Rope_Concat_fn
class _Rope_const_iterator
class _Rope_find_char_char_consumer
class _Rope_flatten_char_consumer
class _Rope_insert_char_consumer
class _Rope_iterator
class _Rope_iterator_base
struct _Rope_rep_base
struct _Rope_RopeConcatenation
struct _Rope_RopeFunction
struct _Rope_RopeLeaf
struct _Rope_RopeRep
struct _Rope_RopeSubstring
struct _Rope_self_destruct_ptr
struct _SameTypeConcept
struct _SequenceConcept
struct _SGIAssignableConcept
struct _SignedIntegerConcept
struct _SignedIntegerConcept< int >
struct _SignedIntegerConcept< long >
struct _SignedIntegerConcept< long long >
struct _SignedIntegerConcept< short >
struct _SimpleAssociativeContainerConcept
struct _Slist_base
struct _Slist_iterator
struct _Slist_iterator_base
struct _Slist_node
struct _Slist_node_base
struct _SortedAssociativeContainerConcept
struct _TrivialIteratorConcept
struct _UnaryFunctionConcept
struct _UnaryFunctionConcept< _Func, void, _Arg >
struct _UnaryPredicateConcept
struct _UniqueAssociativeContainerConcept
struct _UnsignedIntegerConcept
struct _UnsignedIntegerConcept< unsigned int >
struct _UnsignedIntegerConcept< unsigned long >
struct _UnsignedIntegerConcept< unsigned long long >
struct _UnsignedIntegerConcept< unsigned short >
struct append
struct apply
class array_allocator
An allocator that uses previously allocated memory. This memory can be externally, globally, or otherwise allocated.
class array_allocator_base
Base class.
struct at_index
class binary_compose
An SGI extension .
class bitmap_allocator
class bitmap_allocator< void >
struct chain
class char_producer
struct char_traits
Base class used to implement std::char_traits.
struct character
A POD class that serves as a character abstraction class.
struct constant_binary_fun
An SGI extension .
struct constant_unary_fun
An SGI extension .
struct constant_void_fun
An SGI extension .
struct contains
class debug_allocator
A meta-allocator with debugging bits, as per [20.4].
struct encoding_char_traits
encoding_char_traits.
class encoding_state
Extension to use icov for dealing with character encodings.
struct filter
class free_list
The free list class for managing chunks of memory to be given to and returned by the bitmap_allocator.
struct hash
struct hash< char * >
struct hash< char >
struct hash< const char * >
struct hash< crope >
struct hash< int >
struct hash< long >
struct hash< short >
struct hash< signed char >
struct hash< unsigned char >
struct hash< unsigned int >
struct hash< unsigned long >
struct hash< unsigned short >
struct hash< wrope >
class hash_map
class hash_multimap
class hash_multiset
class hash_set
class hashtable
struct identity
class lock
Scoped lock idiom.
class malloc_allocator
An allocator that uses malloc.
class new_allocator
An allocator that uses global new, as per [20.4].
struct null_type
struct project1st
An SGI extension .
struct project2nd
An SGI extension .
class rope
struct select1st
An SGI extension .
struct select2nd
An SGI extension .
class sequence_buffer
class slist
class stdio_filebuf
Provides a layer of compatibility for C/POSIX.
class stdio_sync_filebuf
class stdio_sync_filebuf.
class subtractive_rng
struct temporary_buffer
struct transform
struct typelist
struct typelist_append
class unary_compose
An SGI extension .

  Namespaces
namespace _Rope_constants
namespace balloc
namespace detail

  Typedefs
typedef void(*) __destroy_handler (void *)
typedef __versa_string< char, std::char_traits< char >, std::allocator< char >, __rc_string_base > __rc_string
typedef __vstring __sso_string
typedef __versa_string< char > __vstring
typedef __versa_string< wchar_t, std::char_traits< wchar_t >, std::allocator< wchar_t >, __rc_string_base > __wrc_string
typedef __wvstring __wsso_string
typedef __versa_string< wchar_t > __wvstring
typedef rope< char > crope
typedef __glibcxx_mutex_type mutex_type
typedef rope< wchar_t > wrope

  Enumerations
enum { _S_num_primes }

  Functions
_Atomic_word __attribute__ ((__unused__)) __exchange_and_add(volatile _Atomic_word *__mem
template<class _Tp> void __aux_require_boolean_expr (const _Tp &__t)
template<typename _RAIterator, typename _Size, typename _OutputIterator> pair< _RAIterator, _OutputIterator > __copy_n (_RAIterator __first, _Size __count, _OutputIterator __result, random_access_iterator_tag)
template<typename _InputIterator, typename _Size, typename _OutputIterator> pair< _InputIterator, _OutputIterator > __copy_n (_InputIterator __first, _Size __count, _OutputIterator __result, input_iterator_tag)
void __error_type_must_be_a_signed_integer_type ()
void __error_type_must_be_an_integer_type ()
void __error_type_must_be_an_unsigned_integer_type ()
template<class _Concept> void __function_requires ()
int __lexicographical_compare_3way (const char *__first1, const char *__last1, const char *__first2, const char *__last2)
int __lexicographical_compare_3way (const unsigned char *__first1, const unsigned char *__last1, const unsigned char *__first2, const unsigned char *__last2)
template<typename _InputIterator1, typename _InputIterator2> int __lexicographical_compare_3way (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _InputIterator2 __last2)
wrope::reference __mutable_reference_at (wrope &__c, size_t __i)
crope::reference __mutable_reference_at (crope &__c, size_t __i)
template<typename _Tp, typename _Integer> _Tp __power (_Tp __x, _Integer __n)
template<typename _Tp, typename _Integer, typename _MonoidOperation> _Tp __power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)
template<typename _InputIterator, typename _RandomAccessIterator, typename _RandomNumberGenerator, typename _Distance> _RandomAccessIterator __random_sample (_InputIterator __first, _InputIterator __last, _RandomAccessIterator __out, _RandomNumberGenerator &__rand, const _Distance __n)
template<typename _InputIterator, typename _RandomAccessIterator, typename _Distance> _RandomAccessIterator __random_sample (_InputIterator __first, _InputIterator __last, _RandomAccessIterator __out, const _Distance __n)
_Slist_node_base * __slist_make_link (_Slist_node_base *__prev_node, _Slist_node_base *__new_node)
const _Slist_node_base * __slist_previous (const _Slist_node_base *__head, const _Slist_node_base *__node)
_Slist_node_base * __slist_previous (_Slist_node_base *__head, const _Slist_node_base *__node)
_Slist_node_base * __slist_reverse (_Slist_node_base *__node)
size_t __slist_size (_Slist_node_base *__node)
void __slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__head)
void __slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__before_first, _Slist_node_base *__before_last)
size_t __stl_hash_string (const char *__s)
unsigned long __stl_next_prime (unsigned long __n)
template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > __uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result)
template<typename _RandomAccessIter, typename _Size, typename _ForwardIter> pair< _RandomAccessIter, _ForwardIter > __uninitialized_copy_n (_RandomAccessIter __first, _Size __count, _ForwardIter __result, std::random_access_iterator_tag)
template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > __uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result, std::input_iterator_tag)
template<typename _InputIter, typename _Size, typename _ForwardIter, typename _Tp> pair< _InputIter, _ForwardIter > __uninitialized_copy_n_a (_InputIter __first, _Size __count, _ForwardIter __result, std::allocator< _Tp >)
template<typename _InputIter, typename _Size, typename _ForwardIter, typename _Allocator> pair< _InputIter, _ForwardIter > __uninitialized_copy_n_a (_InputIter __first, _Size __count, _ForwardIter __result, _Allocator __alloc)
void __verbose_terminate_handler ()
size_t _Bit_scan_forward (size_t __num)
_GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (%, _ModOpConcept)
_GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (-, _SubtractOpConcept)
_GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (/, _DivideOpConcept)
_GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (+, _PlusOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (>=, _GreaterEqualOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (>, _GreaterThanOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (<=, _LessEqualOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (<, _LessThanOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (!=, _NotEqualOpConcept)
_GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (==, _EqualOpConcept)
template<class _CharT, class _Traits> void _Rope_fill (basic_ostream< _CharT, _Traits > &__o, size_t __n)
bool _Rope_is_simple (wchar_t *)
bool _Rope_is_simple (char *)
template<class _CharT> bool _Rope_is_simple (_CharT *)
template<class _Rope_iterator> void _Rope_rotate (_Rope_iterator __first, _Rope_iterator __middle, _Rope_iterator __last)
void _S_cond_store_eos (wchar_t &__c)
void _S_cond_store_eos (char &__c)
template<class _CharT> void _S_cond_store_eos (_CharT &)
template<class _CharT> _CharT _S_eos (_CharT *)
bool _S_is_basic_char_type (wchar_t *)
bool _S_is_basic_char_type (char *)
template<class _CharT> bool _S_is_basic_char_type (_CharT *)
bool _S_is_one_byte_char_type (char *)
template<class _CharT> bool _S_is_one_byte_char_type (_CharT *)
template<class _Operation1, class _Operation2> unary_compose< _Operation1, _Operation2 > compose1 (const _Operation1 &__fn1, const _Operation2 &__fn2)
template<class _Operation1, class _Operation2, class _Operation3> binary_compose< _Operation1, _Operation2, _Operation3 > compose2 (const _Operation1 &__fn1, const _Operation2 &__fn2, const _Operation3 &__fn3)
template<class _Result> constant_void_fun< _Result > constant0 (const _Result &__val)
template<class _Result> constant_unary_fun< _Result, _Result > constant1 (const _Result &__val)
template<class _Result> constant_binary_fun< _Result, _Result, _Result > constant2 (const _Result &__val)
template<typename _InputIterator, typename _Size, typename _OutputIterator> pair< _InputIterator, _OutputIterator > copy_n (_InputIterator __first, _Size __count, _OutputIterator __result)
template<typename _InputIterator, typename _Tp, typename _Size> void count (_InputIterator __first, _InputIterator __last, const _Tp &__value, _Size &__n)
template<typename _InputIterator, typename _Predicate, typename _Size> void count_if (_InputIterator __first, _InputIterator __last, _Predicate __pred, _Size &__n)
template<class _Tp> _Tp identity_element (std::multiplies< _Tp >)
template<class _Tp> _Tp identity_element (std::plus< _Tp >)
template<typename _ForwardIter, typename _Tp> void iota (_ForwardIter __first, _ForwardIter __last, _Tp __value)
template<typename _RandomAccessIterator, typename _StrictWeakOrdering> bool is_heap (_RandomAccessIterator __first, _RandomAccessIterator __last, _StrictWeakOrdering __comp)
template<typename _RandomAccessIterator> bool is_heap (_RandomAccessIterator __first, _RandomAccessIterator __last)
template<typename _ForwardIterator, typename _StrictWeakOrdering> bool is_sorted (_ForwardIterator __first, _ForwardIterator __last, _StrictWeakOrdering __comp)
template<typename _ForwardIterator> bool is_sorted (_ForwardIterator __first, _ForwardIterator __last)
template<typename _InputIterator1, typename _InputIterator2> int lexicographical_compare_3way (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _InputIterator2 __last2)
template<class _Ret, class _Tp, class _Arg> mem_fun1_t< _Ret, _Tp, _Arg > mem_fun1 (_Ret(_Tp::*__f)(_Arg))
template<class _Ret, class _Tp, class _Arg> mem_fun1_ref_t< _Ret, _Tp, _Arg > mem_fun1_ref (_Ret(_Tp::*__f)(_Arg))
template<class _Tp, class _Alloc> bool operator!= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator!= (const _Rope_char_ptr_proxy< _CharT, _Alloc > &__x, const _Rope_char_ptr_proxy< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator!= (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator!= (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator!= (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> bool operator!= (const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Value, class _HashFcn, class _EqualKey, class _Alloc> bool operator!= (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc> bool operator!= (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> bool operator!= (const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator!= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator!= (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator!= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Tp> bool operator!= (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)
template<typename _Tp> bool operator!= (const new_allocator< _Tp > &, const new_allocator< _Tp > &)
template<typename _Tp, typename _Poolp> bool operator!= (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
template<typename _Tp> bool operator!= (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All> bool operator!= (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<typename _Tp1, typename _Tp2> bool operator!= (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()
template<typename _Tp, typename _Array> bool operator!= (const array_allocator< _Tp, _Array > &, const array_allocator< _Tp, _Array > &)
template<typename _Iterator, typename _Container> bool operator!= (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator!= (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > operator+ (const rope< _CharT, _Alloc > &__left, _CharT __right)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > operator+ (const rope< _CharT, _Alloc > &__left, const _CharT *__right)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > operator+ (const rope< _CharT, _Alloc > &__left, const rope< _CharT, _Alloc > &__right)
template<class _CharT, class _Alloc> _Rope_iterator< _CharT, _Alloc > operator+ (ptrdiff_t __n, const _Rope_iterator< _CharT, _Alloc > &__x)
template<class _CharT, class _Alloc> _Rope_iterator< _CharT, _Alloc > operator+ (const _Rope_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
template<class _CharT, class _Alloc> _Rope_const_iterator< _CharT, _Alloc > operator+ (ptrdiff_t __n, const _Rope_const_iterator< _CharT, _Alloc > &__x)
template<class _CharT, class _Alloc> _Rope_const_iterator< _CharT, _Alloc > operator+ (const _Rope_const_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, _CharT __rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (_CharT __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Iterator, typename _Container> __normal_iterator< _Iterator, _Container > operator+ (typename __normal_iterator< _Iterator, _Container >::difference_type __n, const __normal_iterator< _Iterator, _Container > &__i)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > & operator+= (rope< _CharT, _Alloc > &__left, _CharT __right)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > & operator+= (rope< _CharT, _Alloc > &__left, const _CharT *__right)
template<class _CharT, class _Alloc> rope< _CharT, _Alloc > & operator+= (rope< _CharT, _Alloc > &__left, const rope< _CharT, _Alloc > &__right)
template<class _CharT, class _Alloc> ptrdiff_t operator- (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> _Rope_iterator< _CharT, _Alloc > operator- (const _Rope_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
template<class _CharT, class _Alloc> ptrdiff_t operator- (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> _Rope_const_iterator< _CharT, _Alloc > operator- (const _Rope_const_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
template<typename _IteratorL, typename _IteratorR, typename _Container> __normal_iterator< _IteratorL, _Container >::difference_type operator- (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _Tp, class _Alloc> bool operator< (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator< (const rope< _CharT, _Alloc > &__left, const rope< _CharT, _Alloc > &__right)
template<class _CharT, class _Alloc> bool operator< (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator< (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator< (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator< (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator< (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename V, typename I, typename S> bool operator< (const character< V, I, S > &lhs, const character< V, I, S > &rhs)
template<typename _Iterator, typename _Container> bool operator< (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator< (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _CharT, class _Traits, class _Alloc> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__o, const rope< _CharT, _Alloc > &__r)
template<class _Tp, class _Alloc> bool operator<= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator<= (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator<= (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator<= (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator<= (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator<= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator<= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Iterator, typename _Container> bool operator<= (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator<= (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _Tp, class _Alloc> bool operator== (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator== (const rope< _CharT, _Alloc > &__left, const rope< _CharT, _Alloc > &__right)
template<class _CharT, class _Alloc> bool operator== (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator== (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator== (const _Rope_char_ptr_proxy< _CharT, _Alloc > &__x, const _Rope_char_ptr_proxy< _CharT, _Alloc > &__y)
template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> bool operator== (const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Value, class _HashFcn, class _EqualKey, class _Alloc> bool operator== (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc> bool operator== (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> bool operator== (const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFn, class _EqKey, class _Alloc> bool operator== (const hash_map< _Key, _Tp, _HashFn, _EqKey, _Alloc > &, const hash_map< _Key, _Tp, _HashFn, _EqKey, _Alloc > &)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator== (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator== (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator== (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Tp> bool operator== (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)
template<typename V, typename I, typename S> bool operator== (const character< V, I, S > &lhs, const character< V, I, S > &rhs)
template<typename _Tp> bool operator== (const new_allocator< _Tp > &, const new_allocator< _Tp > &)
template<typename _Tp, typename _Poolp> bool operator== (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
template<typename _Tp> bool operator== (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All> bool operator== (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<typename _Tp1, typename _Tp2> bool operator== (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()
template<typename _Tp, typename _Array> bool operator== (const array_allocator< _Tp, _Array > &, const array_allocator< _Tp, _Array > &)
template<typename _Iterator, typename _Container> bool operator== (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator== (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _Tp, class _Alloc> bool operator> (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator> (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator> (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator> (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator> (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator> (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator> (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Iterator, typename _Container> bool operator> (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator> (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<class _Tp, class _Alloc> bool operator>= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _CharT, class _Alloc> bool operator>= (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator>= (const _Rope_iterator< _CharT, _Alloc > &__x, const _Rope_iterator< _CharT, _Alloc > &__y)
template<class _CharT, class _Alloc> bool operator>= (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator>= (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator>= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> bool operator>= (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _Iterator, typename _Container> bool operator>= (const __normal_iterator< _Iterator, _Container > &__lhs, const __normal_iterator< _Iterator, _Container > &__rhs)
template<typename _IteratorL, typename _IteratorR, typename _Container> bool operator>= (const __normal_iterator< _IteratorL, _Container > &__lhs, const __normal_iterator< _IteratorR, _Container > &__rhs)
template<typename _Tp, typename _Integer> _Tp power (_Tp __x, _Integer __n)
template<typename _Tp, typename _Integer, typename _MonoidOperation> _Tp power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)
template<typename _InputIterator, typename _RandomAccessIterator, typename _RandomNumberGenerator> _RandomAccessIterator random_sample (_InputIterator __first, _InputIterator __last, _RandomAccessIterator __out_first, _RandomAccessIterator __out_last, _RandomNumberGenerator &__rand)
template<typename _InputIterator, typename _RandomAccessIterator> _RandomAccessIterator random_sample (_InputIterator __first, _InputIterator __last, _RandomAccessIterator __out_first, _RandomAccessIterator __out_last)
template<typename _ForwardIterator, typename _OutputIterator, typename _Distance, typename _RandomNumberGenerator> _OutputIterator random_sample_n (_ForwardIterator __first, _ForwardIterator __last, _OutputIterator __out, const _Distance __n, _RandomNumberGenerator &__rand)
template<typename _ForwardIterator, typename _OutputIterator, typename _Distance> _OutputIterator random_sample_n (_ForwardIterator __first, _ForwardIterator __last, _OutputIterator __out, const _Distance __n)
void rotate (_Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __first, _Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __middle, _Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __last)
template<class _Tp, class _Alloc> void swap (slist< _Tp, _Alloc > &__x, slist< _Tp, _Alloc > &__y)
template<class _CharT, class _Alloc> void swap (rope< _CharT, _Alloc > &__x, rope< _CharT, _Alloc > &__y)
template<class _CharT, class __Alloc> void swap (_Rope_char_ref_proxy< _CharT, __Alloc > __a, _Rope_char_ref_proxy< _CharT, __Alloc > __b)
template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> void swap (hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> void swap (hash_set< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, hash_set< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> void swap (hash_multimap< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, hash_multimap< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> void swap (hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
template<typename _CharT, typename _Traits, typename _Alloc, template< typename, typename, typename > class _Base> void swap (__versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<class _Val, class _Key, class _HF, class _Extract, class _EqKey, class _All> void swap (hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht1, hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht2)
template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result)

  Variables
static const unsigned long __stl_prime_list [_S_num_primes]
bool const __threads_enabled
void int __val
_Atomic_word int __val
_GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT * _TimesOpConcept
rope< _CharT, _Alloc > identity_element (_Rope_Concat_fn< _CharT, _Alloc >)

Function Documentation

  void __gnu_cxx::__verbose_terminate_handler ()

A replacement for the standard terminate_handler which prints more information about the terminating exception (if any) on stderr. Call

        std::set_terminate (__gnu_cxx::__verbose_terminate_handler)

 to use. For more info, see http://gcc.gnu.org/onlinedocs/libstdc++/19_diagnostics/howto.html#4

In 3.4 and later, this is on by default.

  size_t __gnu_cxx::_Bit_scan_forward (size_t __num) [inline]

Generic Version of the bsf instruction.

Definition at line 700 of file bitmap_allocator.h.

Referenced by bitmap_allocator::_M_allocate_single_object().

  bool __gnu_cxx::operator!= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test difference of string and C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs.compare(rhs) != 0. False otherwise.

Definition at line 1934 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator!= (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test difference of C string and string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if rhs.compare(lhs) != 0. False otherwise.

Definition at line 1921 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator!= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test difference of two strings.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs.compare(rhs) != 0. False otherwise.

Definition at line 1908 of file vstring.h.

References __versa_string::compare().

  __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, _CharT __rhs)

Concatenate string and character.

Parameters:
    lhs First string.
    rhs Last string.

Returns:
    New string with lhs followed by rhs.

Definition at line 242 of file vstring.tcc.

References __versa_string::append(), __versa_string::push_back(), __versa_string::reserve(), and __versa_string::size().

  __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs)

Concatenate string and C string.

Parameters:
    lhs First string.
    rhs Last string.

Returns:
    New string with lhs followed by rhs.

Definition at line 225 of file vstring.tcc.

References __versa_string::size().

  __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (_CharT __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs)

Concatenate character and string.

Parameters:
    lhs First string.
    rhs Last string.

Returns:
    New string with lhs followed by rhs.

Definition at line 212 of file vstring.tcc.

References __versa_string::append(), __versa_string::push_back(), __versa_string::reserve(), and __versa_string::size().

  __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs)

Concatenate C string and string.

Parameters:
    lhs First string.
    rhs Last string.

Returns:
    New string with value of lhs followed by rhs.

Definition at line 195 of file vstring.tcc.

References __versa_string::size().

  __versa_string< _CharT, _Traits, _Alloc, _Base > operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs)

Concatenate two strings.

Parameters:
    lhs First string.
    rhs Last string.

Returns:
    New string with value of lhs followed by rhs.

Definition at line 182 of file vstring.tcc.

References __versa_string::append(), __versa_string::reserve(), and __versa_string::size().

  bool __gnu_cxx::operator< (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if C string precedes string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if lhs precedes rhs. False otherwise.

Definition at line 1974 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator< (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test if string precedes C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs precedes rhs. False otherwise.

Definition at line 1961 of file vstring.h.

  bool __gnu_cxx::operator< (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if string precedes string.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs precedes rhs. False otherwise.

Definition at line 1948 of file vstring.h.

  bool __gnu_cxx::operator<= (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if C string doesn't follow string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if lhs doesn't follow rhs. False otherwise.

Definition at line 2054 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator<= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test if string doesn't follow C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs doesn't follow rhs. False otherwise.

Definition at line 2041 of file vstring.h.

  bool __gnu_cxx::operator<= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if string doesn't follow string.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs doesn't follow rhs. False otherwise.

Definition at line 2028 of file vstring.h.

  bool __gnu_cxx::operator== (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test equivalence of string and C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs.compare(rhs) == 0. False otherwise.

Definition at line 1894 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator== (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test equivalence of C string and string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if rhs.compare(lhs) == 0. False otherwise.

Definition at line 1881 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator== (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test equivalence of two strings.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs.compare(rhs) == 0. False otherwise.

Definition at line 1868 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator> (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if C string follows string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if lhs follows rhs. False otherwise.

Definition at line 2014 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator> (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test if string follows C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs follows rhs. False otherwise.

Definition at line 2001 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator> (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if string follows string.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs follows rhs. False otherwise.

Definition at line 1988 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator>= (const _CharT * __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if C string doesn't precede string.

Parameters:
    lhs C string.
    rhs String.

Returns:
    True if lhs doesn't precede rhs. False otherwise.

Definition at line 2094 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator>= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const _CharT * __rhs) [inline]

Test if string doesn't precede C string.

Parameters:
    lhs String.
    rhs C string.

Returns:
    True if lhs doesn't precede rhs. False otherwise.

Definition at line 2081 of file vstring.h.

References __versa_string::compare().

  bool __gnu_cxx::operator>= (const __versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Test if string doesn't precede string.

Parameters:
    lhs First string.
    rhs Second string.

Returns:
    True if lhs doesn't precede rhs. False otherwise.

Definition at line 2068 of file vstring.h.

References __versa_string::compare().

  void __gnu_cxx::swap (__versa_string< _CharT, _Traits, _Alloc, _Base > & __lhs, __versa_string< _CharT, _Traits, _Alloc, _Base > & __rhs) [inline]

Swap contents of two strings.

Parameters:
    lhs First string.
    rhs Second string.

Exchanges the contents of lhs and rhs in constant time.

Definition at line 2108 of file vstring.h.

References __versa_string::swap().

Variable Documentation

  bool const __threads_enabled [static]

If true, then the application being compiled will be using threads, so use mutexes as a synchronization primitive, else do no use any synchronization primitives.

Definition at line 83 of file bitmap_allocator.h.

Referenced by _Lock::_M_lock(), _Lock::_M_unlock(), and _Mutex::_Mutex().

Author

Generated automatically by Doxygen for libstdc++ from the source code.